Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::NumericSolver Class Reference

Provides numeric solvers for Ogre. More...

`#include <OgreNumerics.h>`

List of all members.

## Static Public Member Functions
static bool | solveNxNLinearSysDestr (int n, PreciseReal **coeff, PreciseReal *col)
| Solves a full rank NxN linear system of equations.

## Detailed Description

Provides numeric solvers for Ogre.

Remarks:
  Handles linear algebra numerics.

Definition at line 42 of file OgreNumerics.h.

## Member Function Documentation

static bool Ogre::NumericSolver::solveNxNLinearSysDestr | ( | int | n,
|  | PreciseReal ** | coeff,
|  | PreciseReal * | col
| ) | `[static]`

| Solves a full rank NxN linear system of equations. Remarks: This implements a naive gaussian elimination algorithm. The algorithm is destructive, so there are side effects in coeff and col.

The documentation for this class was generated from the following file:

- OgreNumerics.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:56 2007